
package de.ivu.elect.presentation.mandant.menu;

import de.ivu.elect.business.security.UseCasePermission;
import de.ivu.elect.presentation.mandant.MandantSearchView;

public class MandantSearchMenuItemEntry extends AbstractMandantMenuItemEntry {

  private static final long serialVersionUID = 1L;

  public MandantSearchMenuItemEntry() {
    super();
  }

  @Override
  protected UseCasePermission getUseCasePermission() {
    return UseCasePermission.MANDANT_SEARCH;
  }

  @Override
  public String getTargetViewId() {
    return MandantSearchView.VIEW_ID;
  }

  @Override
  public String getLabelKey() {
    return "mandant.search.menu.item.label";
  }

  @Override
  public String getIcon() {
    return getIcons().getIconSearch();
  }
}
